import type { AppTools, CliPlugin } from '@modern-js/app-tools';
import { PluginSwcOptions } from '@rsbuild/plugin-swc';
import type { ToolsUserConfig } from '@modern-js/app-tools/src/types/config/tools';
export declare function factory(name: string, modifySwcOptions: (options: PluginSwcOptions) => PluginSwcOptions): () => CliPlugin<AppTools>;
export declare function applyBuilderSwcConfig(swc: PluginSwcOptions, esbuild: ToolsUserConfig['esbuild'] | undefined, isSSR: boolean): PluginSwcOptions;
export declare const swcPlugin: () => CliPlugin<AppTools>;
export default swcPlugin;
